package com.gluedin.sport.ui.adapter

import androidx.core.view.isVisible
import androidx.fragment.app.FragmentActivity
import androidx.recyclerview.widget.RecyclerView
import androidx.viewpager2.widget.MarginPageTransformer
import com.gluedin.sport.databinding.WidgetItemBinding
import com.gluedin.sport.entity.RailItem

class PopularViewHolder(private val binding: WidgetItemBinding) :
    RecyclerView.ViewHolder(binding.root) {

    fun onBind(rail: List<RailItem>, type: String, displayName: String, context: FragmentActivity) {
        if (displayName.isEmpty()) {
            binding.title.isVisible = false
        }
        binding.title.text = displayName
        binding.widgetRecyclerView.isVisible = false
        binding.widgetRail.isVisible = false
        binding.popularViewpager.isVisible = true
        binding.popularViewpager.adapter = PopularPagerAdapter(context, rail, type)
        binding.popularViewpager.setPageTransformer(MarginPageTransformer(50))
    }
}