package com.gluedin.sport.ui.adapter

import android.app.Activity
import androidx.core.view.isVisible
import androidx.recyclerview.widget.GridLayoutManager
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.gluedin.sport.databinding.WidgetItemBinding
import com.gluedin.sport.entity.RailItem
import com.gluedin.sport.utils.DataType

class WidgetViewHolder(private val binding: WidgetItemBinding) :
    RecyclerView.ViewHolder(binding.root) {

    fun onBind(rail: List<RailItem>, type: String, displayName: String, context: Activity) {
        binding.title.text = displayName
        val adapter = RailAdapter(rail, type)
        var layoutMainFragment =
            LinearLayoutManager(context, GridLayoutManager.HORIZONTAL, false)
        if (type == DataType.NEW_ARRIVAL.key) {
            layoutMainFragment =
                GridLayoutManager(context, 2, GridLayoutManager.HORIZONTAL, false)
        }
        binding.widgetRecyclerView.layoutManager = layoutMainFragment
        binding.widgetRecyclerView.adapter = adapter
        binding.widgetRecyclerView.isVisible = true
        binding.widgetRail.isVisible = false
    }
}