package com.gluedin.sport.ui.fragments

import android.content.Intent
import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.navigation.fragment.NavHostFragment
import androidx.navigation.ui.NavigationUI.onNavDestinationSelected
import androidx.navigation.ui.NavigationUI.setupWithNavController
import com.gluedin.sport.GluedInSampleActivity
import com.gluedin.sport.R
import com.gluedin.sport.databinding.FragmentMainBinding

class MainFragment : Fragment() {

    var binding: FragmentMainBinding? = null

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        // Inflate the layout for this fragment
        binding = FragmentMainBinding.inflate(layoutInflater, container, false)
        return binding?.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        setListener()
    }

    private fun setListener() {
        val navHostFragment = childFragmentManager
            .findFragmentById(R.id.nav_host_fragment) as NavHostFragment
        binding?.bnvHomeMenu?.let { setupWithNavController(it, navHostFragment.navController) }

        binding?.bnvHomeMenu?.setOnItemSelectedListener { item ->
            if (R.id.gluedinFragment != item.itemId) {
                navHostFragment.navController.navigate(item.itemId)
                onNavDestinationSelected(item, navHostFragment.navController)
                true
            } else {
                activity?.startActivity(Intent( activity, GluedInSampleActivity::class.java))
                false
            }
        }
    }

}