package com.gluedin.sport.ui.fragments

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.core.view.isVisible
import androidx.fragment.app.Fragment
import com.gluedin.sport.databinding.FragmentPopularBinding
import com.gluedin.sport.utils.DataType

class PopularFragment : Fragment() {
    private var imageUrl: String = ""
    private var title: String = ""
    private var type: String = ""

    companion object {
        fun getInstance(imageUrl: String, title: String = "", type: String) =
            PopularFragment().apply {
                this.imageUrl = imageUrl
                this.title = title
                this.type = type
            }
    }

    private var binding: FragmentPopularBinding? = null

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        binding = FragmentPopularBinding.inflate(inflater, container, false)
        return binding?.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        binding?.placeholder?.setImageURI(imageUrl)
        if (DataType.BANNER.key == type) {
            binding?.bottom?.isVisible = true
            binding?.title?.text = title
        } else {
            binding?.bottom?.isVisible = false
        }
    }
}