package com.gluedin.sport.ui.fragments

import android.app.AlertDialog
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.activity.OnBackPressedCallback
import androidx.fragment.app.Fragment
import androidx.navigation.fragment.findNavController
import com.gluedin.sport.R
import com.gluedin.sport.databinding.FragmentProfileBinding
import com.gluedin.sport.utils.PrefRepository
import com.gluedin.sport.utils.loadFragment

class ProfileFragment : Fragment() {

    var binding: FragmentProfileBinding? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        activity?.onBackPressedDispatcher?.addCallback(this, object : OnBackPressedCallback(true) {
            override fun handleOnBackPressed() {
                findNavController().navigate(R.id.homeFragment)
            }
        })
    }

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        // Inflate the layout for this fragment
        binding = FragmentProfileBinding.inflate(layoutInflater, container, false)
        return binding?.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        setListener()
    }

    private fun setListener() {
        binding?.btnLogout?.setOnClickListener {
            showLogoutAlert()
        }
    }

    private fun showLogoutAlert() {
        val alert = AlertDialog.Builder(context)
        alert.setMessage(getString(R.string.logout_msg))
        alert.setCancelable(false)
        alert.setPositiveButton(
            "Yes"
        ) { dialog, _ ->
            dialog.dismiss()
            context?.let { context -> PrefRepository(context).setLoggedIn(false) }
            activity?.loadFragment(SignInFragment())
        }
        alert.setNegativeButton("Cancel") { dialog, _ ->
            dialog.dismiss()
        }
        alert.create().show()
    }
}