package com.gluedin.sport.ui.viewType

import androidx.core.view.isGone
import androidx.core.view.isVisible
import androidx.recyclerview.widget.RecyclerView
import com.gluedin.sport.databinding.ItemProductBinding
import com.gluedin.sport.entity.RailItem

class LikeViewHolder(private val binding: ItemProductBinding) :
    RecyclerView.ViewHolder(binding.root) {

    fun bind(item: RailItem) {
        with(binding) {
            if (item.image.isNotEmpty()) {
                placeholder.setImageURI(item.image)
                icon.isGone = true
            } else {
                icon.isVisible = true
            }
            txtTitle.text = item.name
            txtPrice.text = item.price
        }
    }
}