package com.gluedin.sport.utils

import android.content.Context
import android.content.SharedPreferences
import com.gluedin.sport.utils.AppContents.PREFERENCE_NAME
import com.gluedin.sport.utils.AppContents.PREF_EMAIL_ID
import com.gluedin.sport.utils.AppContents.PREF_LOGGED_IN
import com.gluedin.sport.utils.AppContents.PREF_PASSWORD

class PrefRepository(context: Context) {
    private val pref: SharedPreferences =
        context.getSharedPreferences(PREFERENCE_NAME, Context.MODE_PRIVATE)
    private val editor = pref.edit()

    private fun String.getBoolean() = pref.getBoolean(this, false)
    private fun String.getString() = pref.getString(this, "")

    private fun String.put(boolean: Boolean) {
        editor.putBoolean(this, boolean)
        editor.commit()
    }

    fun setLoggedIn(isLoggedIn: Boolean) {
        PREF_LOGGED_IN.put(isLoggedIn)
    }

    fun setEmailId(emailId: String) {
        editor.putString(PREF_EMAIL_ID, emailId)
        editor.commit()
    }

    fun setPassword(password: String) {
        editor.putString(PREF_PASSWORD, password)
        editor.commit()
    }

    fun getEmailId() = PREF_EMAIL_ID.getString()

    fun getPassword() = PREF_PASSWORD.getString()

    fun getLoggedIn() = PREF_LOGGED_IN.getBoolean()

}