package com.gluedin.sport.utils

import android.text.Spannable
import android.text.style.ForegroundColorSpan
import android.widget.TextView
import android.widget.Toast
import androidx.core.text.toSpannable
import androidx.fragment.app.Fragment
import androidx.fragment.app.FragmentActivity
import androidx.fragment.app.FragmentManager
import androidx.fragment.app.FragmentTransaction
import com.gluedin.sport.R

fun Fragment.showToast(msg: String){
    Toast.makeText(context, msg, Toast.LENGTH_LONG).show()
}

 fun FragmentActivity.loadFragment(fragment: Fragment) {
    val fm: FragmentManager = supportFragmentManager
    val fragmentTransaction: FragmentTransaction = fm.beginTransaction()
    fragmentTransaction.replace(R.id.main_nav_host_fragment, fragment)
    fragmentTransaction.addToBackStack(null)
    fragmentTransaction.commit()
}

fun TextView.changeTextColor(regex:Regex, intColor:Int) {

    val span : Spannable = this.text.toSpannable()
    val values = regex.findAll(this.text)

    for(value in values.iterator()){
        val range = value.range
        span.setSpan(
            ForegroundColorSpan(intColor),
            range.first,
            range.last+1,
            Spannable.SPAN_COMPOSING
        )
    }
}